API referenceProjects

Get the project theme

The project's visual identity: theme slug, colour roles, font roles, light/dark.

GET
/projects/{id}/theme

Authorization

bearerAuth
AuthorizationBearer <token>

Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/theme"
{
  "data": {
    "slug": "string",
    "name": "string",
    "source": "string",
    "isUserAuthored": true,
    "defaultMode": "string",
    "colorRoles": {
      "property1": "string",
      "property2": "string"
    },
    "fontRoles": {
      "property1": "string",
      "property2": "string"
    }
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}